Summary:        Game controller library
Name:           libmanette
Version:        0.2.6
Release:        7%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/aplazas/libmanette
Source0:        https://download.gnome.org/sources/libmanette/0.2/libmanette-%{version}.tar.xz

BuildRequires:  gcc, meson, vala
BuildRequires:  pkgconfig(gio-2.0), pkgconfig(glib-2.0), pkgconfig(gobject-2.0), pkgconfig(gobject-introspection-1.0), pkgconfig(gudev-1.0), pkgconfig(libevdev)

%description
libmanette is a small GObject library giving you simple access to game
controllers.

This library is intended for software needing a painless access to game
controllers from any programming language and with little dependencies.

It supports the de-facto standard gamepads as defined by the W3C standard
Gamepad specification or as implemented by the SDL GameController. More game
controller kinds could be supported in the future if needed. Mapping of the
devices is handled transparently and internally by the library using the
popular SDL mapping string format.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -p1



%build
%meson
%meson_build



%install
%meson_install



%files
%license COPYING
%doc NEWS README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libmanette-0.2.so.0*

%files devel
%{_bindir}/manette-test
%{_includedir}/libmanette/
%{_libdir}/libmanette-0.2.so
%{_libdir}/pkgconfig/manette-0.2.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/



%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.6-7
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 0.2.6-2
- remove README.md
- fix typo

* Fri Dec 2 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.2.6-1
- initial
